Page 1 of 3 123 LastLast
Results 1 to 10 of 21

Thread: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

  1. #1
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,835
    Distro
    Ubuntu Development Release

    nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Anyone running this driver on Trusty / Linux 3.12 yet?

    https://devtalk.nvidia.com/default/t...and-7-series-/

    http://www.phoronix.com/scan.php?pag...tem&px=MTUwNjk

    Improved compatibility with recent Linux kernels.
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  2. #2
    Join Date
    Apr 2005
    Location
    EU - UK
    Beans
    3,323
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    I wonder whether the nvidia-304-updates package will get updated to .116, even trusty is on .108.

  3. #3
    Join Date
    Sep 2008
    Beans
    796

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Quote Originally Posted by VinDSL View Post
    Sorry Vin hadn't seen your thread when I posted about this a minute ago. It claims "improved support for recent Linux kernels" so maybe that includes 3.12. At work so can't try it out right now.

  4. #4
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,835
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    No prob, Paul.

    I used all the tricks in my bag, trying to get the nVidia installer to build 304.116, but it fails on boot.

    This is more or less what I do: http://ubuntuhandbook.org/index.php/...legacy-ubuntu/

    The nVidia installer is reporting that all steps were successfully completed, but no joy.

    Hopefully, somebody will package it into a deb. I *suspect* the Linux 3.12 module isn't being compiled correctly.
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  5. #5
    Join Date
    Sep 2008
    Beans
    796

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Quote Originally Posted by VinDSL View Post
    No prob, Paul.

    I used all the tricks in my bag, trying to get the nVidia installer to build 304.116, but it fails on boot.

    This is more or less what I do: http://ubuntuhandbook.org/index.php/...legacy-ubuntu/

    The nVidia installer is reporting that all steps were successfully completed, but no joy.

    Hopefully, somebody will package it into a deb. I *suspect* the Linux 3.12 module isn't being compiled correctly.
    Can see it there now:

    https://launchpad.net/~xorg-edgers/+..._filter=trusty

    Let me know if it works!

  6. #6
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,835
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Quote Originally Posted by paul_in_london View Post
    Can see it there now:

    https://launchpad.net/~xorg-edgers/+..._filter=trusty

    Let me know if it works!
    Hi Paul,

    Well, believe it or not...

    I just got home and decided to try the nVidia installer one_last_time.

    Code:
    vindsl@Zuul:~$ echo && echo "~ VinDSL Unity Debug Script 13.07.08 (vindsl.com) ~" && echo -n "Current Date/Time: " && TZ='UTC' date && echo -n "Distro Release: " && lsb_release -sd && echo -n "Kernel Release: " || cat /etc/*release && uname -s -r && echo -n "Gnome Release: " && gnome-shell --version && echo -n "Unity Release: " && unity --version && echo && /usr/lib/nux/unity_support_test -p -f && echo || echo && dpkg -s mesa-utils && echo || echo && echo "Package: mesa-common-dev" && dpkg -s mesa-common-dev | sed 's/^/  /' | grep Version && echo || echo && echo "Package: xserver-xorg-core" && apt-cache policy xserver-xorg-core | grep Installed && echo || echo && echo "Package: xserver-common" && apt-cache policy xserver-common | grep Installed && echo || echo && echo "Package: xserver-xephyr" && apt-cache policy xserver-xephyr | grep Installed && echo || echo && echo "Tree Map of PCI Devices:" && lspci -tv && echo || echo && echo "Display Properties:" && echo -n " lcd monitor:    Dell UltraSharp 1907FP (analog input)" && echo && xdpyinfo | grep -E '(resolution|dimensions)' && echo
    
    ~ VinDSL Unity Debug Script 13.07.08 (vindsl.com) ~
    Current Date/Time: Fri Nov  8 22:36:35 UTC 2013
    Distro Release: Ubuntu Trusty Tahr (development branch)
    Kernel Release: Linux 3.12.0-rc7-vindsl-p4ee-ver.004
    Gnome Release: GNOME Shell 3.11.1
    Unity Release: unity 7.1.2
    
    OpenGL vendor string:   NVIDIA Corporation
    OpenGL renderer string: GeForce 7600 GT/AGP/SSE2
    OpenGL version string:  2.1.2 NVIDIA 304.116
    
    Not software rendered:    yes
    Not blacklisted:          yes
    GLX fbconfig:             yes
    GLX texture from pixmap:  yes
    GL npot or rect textures: yes
    GL vertex program:        yes
    GL fragment program:      yes
    GL vertex buffer object:  yes
    GL framebuffer object:    yes
    GL version is 1.4+:       yes
    
    Unity 3D supported:       yes
    
    Package: mesa-utils
    Status: install ok installed
    Priority: optional
    Section: x11
    Installed-Size: 115
    Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
    Architecture: i386
    Source: mesa-demos
    Version: 8.1.0-2
    Replaces: xbase-clients (<< 6.8.2-38)
    Depends: libc6 (>= 2.4), libgl1-mesa-glx | libgl1, libx11-6
    Description: Miscellaneous Mesa GL utilities
     This package provides several basic GL utilities built by Mesa, including
     glxinfo and glxgears.
    Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
    Homepage: http://mesa3d.org/
    
    Package: mesa-common-dev
      Version: 9.2.2-1ubuntu1
    
    Package: xserver-xorg-core
      Installed: 2:1.14.3-3ubuntu4
    
    Package: xserver-common
      Installed: 2:1.14.3-3ubuntu4
    
    Package: xserver-xephyr
      Installed: 2:1.14.3-3ubuntu4
    
    Tree Map of PCI Devices:
    -[0000:00]-+-00.0  Intel Corporation 82875P/E7210 Memory Controller Hub
               +-01.0-[01]----00.0  NVIDIA Corporation G73 [GeForce 7600 GT]
               +-03.0-[02]----01.0  Intel Corporation 82547EI Gigabit Ethernet Controller
               +-06.0  Intel Corporation 82875P/E7210 Processor to I/O Memory Interface
               +-1d.0  Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1
               +-1d.1  Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2
               +-1d.2  Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3
               +-1d.3  Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4
               +-1d.7  Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller
               +-1e.0-[03]----0c.0  Lite-On Communications Inc LNE100TX
               +-1f.0  Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge
               +-1f.2  Intel Corporation 82801EB (ICH5) SATA Controller
               +-1f.3  Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller
               \-1f.5  Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller
    
    Display Properties:
     lcd monitor:    Dell UltraSharp 1907FP (analog input)
      dimensions:    1280x1024 pixels (339x271 millimeters)
      resolution:    96x96 dots per inch
    
    vindsl@Zuul:~$
    Went smoothly this time. Practice makes perfect, I guess. LoL!

    Think I'll run it for a few hours, before trying the edgers version.
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  7. #7
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,835
    Distro
    Ubuntu Development Release
    So far, so good...

    Ubuntu 'Trusty' 14.04 (32 Bit) / Linux 3.12 Kernel / GS 3.11.1 Staging / nVidia 304.116 / Conky / ConkyWX

    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  8. #8
    Join Date
    Jun 2005
    Location
    Where?
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Quote Originally Posted by VinDSL View Post
    So far, so good...
    Ubuntu 'Trusty' 14.04 (32 Bit) / Linux 3.12 Kernel / GS 3.11.1 Staging / nVidia 304.116 / Conky / ConkyWX

    Been a few hours now with xedgers install, small difference, slight improvement.
    Attached Images Attached Images
    Last edited by runrickus; November 9th, 2013 at 07:03 AM. Reason: spell
    “Those who desire to give up freedom in order to gain security will not have, nor do they deserve, either one" Benjamin Franklin

  9. #9
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,835
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Quote Originally Posted by runrickus View Post
    Been a few hours now with xedgers install, small difference, slight improvement.
    I'll probably switch to edgers tomorrow.

    I just don't like dealing with the official nVidia driver. The installer stinks, and it always seems like something or another crops up that requires me to remove the driver -- which is usually as much of a PITA as installing it.

    Debs are definitely preferable, for a whole host of reasons, IMO...

    EDIT

    BTW, I must admit... Plymouth looks a whole lot better with the official driver. Oh, well. Not worth the extra effort.
    Last edited by VinDSL; November 9th, 2013 at 08:30 AM. Reason: Addendum
    Intel ® P4 Extreme Edition 3.4 (Gallatin) || DFI ® LanParty PRO875B rev B1
    Crucial ® Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  10. #10
    Join Date
    Jun 2005
    Location
    Where?
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Quote Originally Posted by VinDSL View Post
    I'll probably switch to edgers tomorrow.

    I just don't like dealing with the official nVidia driver. The installer stinks, and it always seems like something or another crops up that requires me to remove the driver -- which is usually as much of a PITA as installing it.

    Debs are definitely preferable, for a whole host of reasons, IMO...

    EDIT

    BTW, I must admit... Plymouth looks a whole lot better with the official driver. Oh, well. Not worth the extra effort.
    Ill be curious to see if you notice any difference between the two.
    Thats why I stick with debs on kernels also..
    “Those who desire to give up freedom in order to gain security will not have, nor do they deserve, either one" Benjamin Franklin

Page 1 of 3 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •